org.eclnt.workplace

## Class WorkplaceFunctionSearchUI

- java.lang.Object
- - org.eclnt.jsfserver.pagebean.PageBean
  - - org.eclnt.jsfserver.managedbean.DefaultDispatchedPageBean
    - - org.eclnt.workplace.WorkpageDispatchedPageBean
      - - org.eclnt.workplace.WorkplaceFunctionSearchUI

- All Implemented Interfaces:
    java.io.Serializable, IPageBean, IDynamicContentBindingObject

      public class WorkplaceFunctionSearchUI
      extends WorkpageDispatchedPageBean
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `WorkplaceFunctionSearchUI.GridItem`
    `class` | `WorkplaceFunctionSearchUI.Hit`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected FIXGRIDListBinding<WorkplaceFunctionSearchUI.GridItem>` | `m_grid`
    `protected java.lang.String` | `m_lastSearchText`
    `protected java.lang.String` | `m_searchText`
    `protected boolean` | `m_singleClickExecute`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WorkplaceFunctionSearchUI(IWorkpageDispatcher workpageDispatcher)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getEnabledStart()`
    `FIXGRIDListBinding<WorkplaceFunctionSearchUI.GridItem>` | `getGrid()`
    `java.lang.String` | `getPageName()` Name of page that is managed by the bean.
    `boolean` | `getRenderSecondLine()`
    `java.lang.String` | `getRootExpressionUsedInPage()` Inside the page definition the bean is addressed via a certain root expression - e.g.
    `java.lang.String` | `getRowHeight()`
    `java.lang.String` | `getSearchFieldRequestFocus()` Requestfocus value that is managed with the function search field.
    `java.lang.String` | `getSearchFieldRequestFocusHotKey()` Hotkey with which the user can quickly focus the function search field.
    `java.lang.String` | `getSearchFieldTooltip()` Tooltip that is shown with the function search field.
    `java.lang.String` | `getSearchText()`
    `boolean` | `getSingleClickExecute()`
    `void` | `onSearchAction(ActionEvent event)`
    `void` | `onStartAction(ActionEvent event)`
    `void` | `setRenderSecondLine(boolean renderSecondLine)`
    `void` | `setRowHeight(java.lang.String rowHeight)`
    `void` | `setSearchFieldRequestFocus(java.lang.String searchFieldRequestFocus)`
    `void` | `setSearchFieldRequestFocusHotKey(java.lang.String searchFieldRequestFocusHotKey)`
    `void` | `setSearchFieldTooltip(java.lang.String searchFieldTooltip)`
    `void` | `setSearchText(java.lang.String value)`
    `void` | `setSingleClickExecute(boolean singleClickExecute)`

    - ### Methods inherited from class org.eclnt.workplace.WorkpageDispatchedPageBean

      `getOwningDispatcher, getWorkpage, getWorkpageContainer, setDispatcher`

    - ### Methods inherited from class org.eclnt.jsfserver.pagebean.PageBean

      `buildContentReplaceString, closePopup, getActualRootExpression, getPopups, initializePageBean, isInitialized, onBeforeRendering, openModalPopup, openModelessPopup, pbx, readPageLayoutXML, setActualRootExpression`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### m_searchText

          protected java.lang.String m_searchText

    - #### m_grid

          protected FIXGRIDListBinding<WorkplaceFunctionSearchUI.GridItem> m_grid

    - #### m_singleClickExecute

          protected boolean m_singleClickExecute

    - #### m_lastSearchText

          protected java.lang.String m_lastSearchText

  - ### Constructor Detail

    - #### WorkplaceFunctionSearchUI

          public WorkplaceFunctionSearchUI(IWorkpageDispatcher workpageDispatcher)

  - ### Method Detail

    - #### getPageName

          public java.lang.String getPageName()

      Description copied from interface: `IPageBean`
      Name of page that is managed by the bean. This can either be a static return value that stays fix for the whole lifecycle of the bean, or it may also be a value that changed - in case there are several pages that are possible to be managed by the page bean.
      Specified by:
        `getPageName` in interface `IPageBean`
      Specified by:
        `getPageName` in class `PageBean`

    - #### getRootExpressionUsedInPage

          public java.lang.String getRootExpressionUsedInPage()

      Description copied from interface: `IPageBean`
      Inside the page definition the bean is addressed via a certain root expression - e.g. "#{d.XYZBean}". The page bean management requires this expression in order to execute certain expression replacements when loading the page at runtime.
      Specified by:
        `getRootExpressionUsedInPage` in interface `IPageBean`
      Specified by:
        `getRootExpressionUsedInPage` in class `PageBean`

    - #### getSearchFieldRequestFocus

          public java.lang.String getSearchFieldRequestFocus()

      Requestfocus value that is managed with the function search field.

    - #### setSearchFieldRequestFocus

          public void setSearchFieldRequestFocus(java.lang.String searchFieldRequestFocus)

    - #### getSearchFieldTooltip

          public java.lang.String getSearchFieldTooltip()

      Tooltip that is shown with the function search field.

    - #### setSearchFieldTooltip

          public void setSearchFieldTooltip(java.lang.String searchFieldTooltip)

    - #### getSearchFieldRequestFocusHotKey

          public java.lang.String getSearchFieldRequestFocusHotKey()

      Hotkey with which the user can quickly focus the function search field.

    - #### setSearchFieldRequestFocusHotKey

          public void setSearchFieldRequestFocusHotKey(java.lang.String searchFieldRequestFocusHotKey)

    - #### getGrid

          public FIXGRIDListBinding<WorkplaceFunctionSearchUI.GridItem> getGrid()

    - #### getSearchText

          public java.lang.String getSearchText()

    - #### setSearchText

          public void setSearchText(java.lang.String value)

    - #### getSingleClickExecute

          public boolean getSingleClickExecute()

    - #### setSingleClickExecute

          public void setSingleClickExecute(boolean singleClickExecute)

    - #### getEnabledStart

          public boolean getEnabledStart()

    - #### onStartAction

          public void onStartAction(ActionEvent event)

    - #### getRowHeight

          public java.lang.String getRowHeight()

    - #### setRowHeight

          public void setRowHeight(java.lang.String rowHeight)

    - #### getRenderSecondLine

          public boolean getRenderSecondLine()

    - #### setRenderSecondLine

          public void setRenderSecondLine(boolean renderSecondLine)

    - #### onSearchAction

          public void onSearchAction(ActionEvent event)

Copyright © CaptainCasa Gmbh. All Rights Reserved.